# -*- encoding: utf-8 -*-
#
#  c2c_xls_reporting
#
#  Created by Nicolas Bessi 
#
#  Copyright (c) 2009 CamptoCamp. All rights reserved.
##############################################################################
#
# WARNING: This program as such is intended to be used by professional
# programmers who take the whole responsability of assessing all potential
# consequences resulting from its eventual inadequacies and bugs
# End users who are looking for a ready-to-use solution with commercial
# garantees and support are strongly adviced to contract a Free Software
# Service Company
#
# This program is Free Software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
##############################################################################
from osv import osv, fields
import pooler
import re
import math

class ProductProduct(osv.osv) :
    """ Override of the product template class in order to add attributes"""

    _inherit = "product.product"
    
    def compute_tax_rounded_price(self, cr, uid, ids, prodrecord,price,tax_obj) :
	taxes =  tax_obj.compute(cr,uid,prodrecord.taxes_id, price, 1.0)
        taxamount = 0
        for tax in taxes :
            taxamount += tax['amount']
        price += taxamount
        #on arrondi au 50 ct supperieur
        price = math.ceil(round(price,2)*2)/2
	return price
	
        
    def _get_price(self, cr, uid, ids, pricelist_id, product_id,qty):
        """Compute the price of an product for a given qty and list price"""
        price_dict = self.pool.get('product.pricelist').price_get(
                                                                cr,
                                                                uid,
                                                                [pricelist_id],
                                                                product_id,
                                                                qty
                                                            )
        if price_dict[pricelist_id]:
            price = price_dict[pricelist_id]
        else:
            res = self.pool.get('product.product').read(cr, uid,[product_id])
            price =  res[0]['list_price']
            res = None
        return price
        
ProductProduct()